com.sun.syndication.feed.module

## Interface DCSubject

All Superinterfaces:
  java.lang.Cloneable, CopyFrom

All Known Implementing Classes:
  DCSubjectImpl

    public interface DCSubject
    extends java.lang.Cloneable, CopyFrom

Subject of the Dublin Core ModuleImpl.

See Also:
  Dublin Core module.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `clone()` Creates a deep clone of the object.
`java.lang.String` `getTaxonomyUri()` Returns the DublinCore subject taxonomy URI.
`java.lang.String` `getValue()` Returns the DublinCore subject value.
`void` `setTaxonomyUri(java.lang.String taxonomyUri)` Sets the DublinCore subject taxonomy URI.
`void` `setValue(java.lang.String value)` Sets the DublinCore subject value.

### Methods inherited from interface com.sun.syndication.feed.CopyFrom

`copyFrom, getInterface`

### Method Detail

#### getTaxonomyUri

    java.lang.String getTaxonomyUri()

Returns the DublinCore subject taxonomy URI.

Returns:
  the DublinCore subject taxonomy URI, null if none.

#### setTaxonomyUri

    void setTaxonomyUri(java.lang.String taxonomyUri)

Sets the DublinCore subject taxonomy URI.

Parameters:
  `taxonomyUri` - the DublinCore subject taxonomy URI to set, null if none.

#### getValue

    java.lang.String getValue()

Returns the DublinCore subject value.

Returns:
  the DublinCore subject value, null if none.

#### setValue

    void setValue(java.lang.String value)

Sets the DublinCore subject value.

Parameters:
  `value` - the DublinCore subject value to set, null if none.

#### clone

    java.lang.Object clone()
                    throws java.lang.CloneNotSupportedException

Creates a deep clone of the object.

Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.